
source("modules/Loading/Loading.R")
source("modules/Units/Units.R")
source("s2dvcube_to_netML.R")
source("sunset_prov_dataset.R")
source("combination_graph.R")
library(yaml)
library(metaclipR)

#SUNSET loading module execution
recipe_file <- "recipes/atomic_recipes/recipe_seasonal_provenance.yml"
recipe <- prepare_outputs(recipe_file)
data <- Loading(recipe)

#Dataset and DatasetSubset provenance generation
graph<-sunset_prov_dataset(recipe)

#Conversion to JSON file to run the interpreter!
graph2json(graph$graph, "/esarchive/scratch/apuiggro/sunset/graph333.json")

